#!/bin/sh
echo "mkadd start"

if [ "$1" = "-f" ] ; then
   LZMA_OPTS="-a0 -d8 -mc2 -mfhc4"
else
   LZMA_OPTS=""
fi   

rm -rf /mnt/data/g2v_add*.tar.lzma /mnt/data/g2v_opt*.tar.lzma

cd /

tar -cvf - --one-file-system ./opt | lzma e /mnt/data/g2v_add_opt.tar.lzma -si $LZMA_OPTS

tar -cvf - --one-file-system ./usr/share/doc ./usr/share/gtk-doc | lzma e /mnt/data/g2v_add_doc.tar.lzma -si $LZMA_OPTS

tar -cvf - --one-file-system ./mnt/data/portage/packages | lzma e /mnt/data/g2v_opt_pkg.tar.lzma -si $LZMA_OPTS

PROFILE="$(readlink /etc/make.profile | sed -e "s/^.././")"

tar -cvf - --one-file-system ./mnt/data/portage/eclass $PROFILE ./mnt/data/portage/local/layman/overlays.xml \
    ./usr/portage/local/layman/make.conf ./usr/local/portage | lzma e /mnt/data/g2v_add_port.tar.lzma -si $LZMA_OPTS
    
tar -cvf - --one-file-system --exclude=./mnt/data/portage/distfiles  --exclude=./mnt/data/portage/packages \
    ./mnt/data/portage/* ./var/cache/edb/dep | lzma e /mnt/data/g2v_opt_port.tar.lzma -si $LZMA_OPTS

echo "mkadd end"
echo ""
