#!/bin/sh
echo ""
echo "mkbase start"

if [ "$1" = "-f" ] ; then
   LZMA_OPTS="-a0 -d8 -mc2 -mfhc4"
else
   LZMA_OPTS=""
fi

#chmod +x /usr/local/src/*/*/insmod.sh
ldconfig
depmod -a
update-modules
depscan.sh
chmod +x /usr/bin/*
chmod +x /usr/sbin/*
chmod +x /bin/*
chmod +x /sbin/*
rm /mnt/data/g2v_base*.tar.lzma > /dev/null 2>&1
rm -f /HISTORY* > /dev/null 2>&1
rm -f /README* > /dev/null 2>&1
rm -f /install.* > /dev/null 2>&1
strip --strip-unneeded /usr/local/src/VDR/vdr
strip --strip-unneeded /usr/local/src/VDR/PLUGINS/lib/lib*
 
rm /usr/local/src/VDR/PLUGINS/src/*/*.so > /dev/null 2>&1
rm /usr/local/src/VDR/PLUGINS/src/*/*/*.so > /dev/null 2>&1

mkdir /usr/local/share/doc/vdr > /dev/null 2>&1

rm -f /usr/local/share/doc/vdr/*README*
# create docs
cd /usr/local/src/VDR
for i in *READ* HISTORY MANUAL ; do
   cp -f $i /usr/local/share/doc/vdr/
done

cd /usr/local/src/VDR/PLUGINS/src

for i in */README ; do
   FN=$(echo ${i} | cut -f1 -d "/" | cut -f1 -d "-")
   cp -f $i /usr/local/share/doc/vdr/$FN.README
done

cd /

tar -cvf - --one-file-system --exclude=./usr/portage/* --exclude=./usr/local/portage/* --exclude=./usr/local/src/* \
    --exclude=./usr/src/linux-*  --exclude=./usr/bin --exclude=./usr/sbin --exclude=./usr/share \
    --exclude=./usr/lib  --exclude=*.pyo --exclude=*.pyc \
    ./usr/* | lzma e /mnt/data/g2v_base_usr.tar.lzma -si $LZMA_OPTS

tar -cvf - --one-file-system ./usr/bin ./usr/sbin | lzma e /mnt/data/g2v_base_ubin.tar.lzma -si $LZMA_OPTS
    
tar -cvf - --one-file-system --exclude=./usr/share/doc --exclude=./usr/share/gtk-doc \
    --exclude=*.pyo --exclude=*.pyc \
    ./usr/share | lzma e /mnt/data/g2v_base_ushr.tar.lzma -si $LZMA_OPTS
    
tar -cvf - --one-file-system --exclude=*.pyo --exclude=*.pyc ./usr/lib | lzma e /mnt/data/g2v_base_ulib.tar.lzma -si $LZMA_OPTS

tar -cvf - --one-file-system --exclude=./var/run/*/* --exclude=./var/run/*.socket --exclude=*.pid \
    --exclude=./var/cache/*/* --exclude=./var/cache/dhcpcd* --exclude=./var/lib/dhcpc/* \
    --exclude=./var/spool/at/atspool/a* --exclude=./var/tmp/* --exclude=*.pyo \
    --exclude=*.pyc --exclude=./var/lib/mysql/*-bin.00* --exclude=./var/lib/mysql/*-bin.index \
    ./var/* | lzma e /mnt/data/g2v_base_var.tar.lzma -si $LZMA_OPTS

VDR_PATH="$(readlink /usr/local/src/VDR)"    
tar -cvf - --one-file-system --exclude=*.o --exclude=*.so  \
    ./usr/local/src/VDR ./usr/local/src/$VDR_PATH | lzma e /mnt/data/g2v_base_vdr.tar.lzma -si $LZMA_OPTS

tar -cvf - --one-file-system --exclude=*.o --exclude=./usr/local/src/DVB* --exclude=./usr/local/src/v4l-dvb* \
    --exclude=./usr/local/src/VDR --exclude=./usr/local/src/vdr-1* \
    ./usr/local/src | lzma e /mnt/data/g2v_base_vdr_addon.tar.lzma -si $LZMA_OPTS

tar -cvf - --one-file-system ./lib/modules | lzma e /mnt/data/g2v_base_libmod.tar.lzma -si $LZMA_OPTS
    
tar -cvf - --one-file-system --exclude=./_config --exclude=./etc/* --exclude=./root/* --exclude=./root/.* \
    --exclude=./.* --exclude=./dev/* --exclude=./dev/.* --exclude=./proc --exclude=./autorun.* --exclude=./home/* \
    --exclude=vdradmind.pid --exclude=./*.iso --exclude=./sys/* --exclude=./opt/* \
    --exclude=./usr/* --exclude=./var/* --exclude=./lib/modules \
    ./ ./boot | lzma e /mnt/data/g2v_base.tar.lzma -si $LZMA_OPTS

echo "mkbase end"
echo ""
