#!/bin/sh
SDIR="/_config/backup"
MODCONF=""

set_autoload() {
   KV="$(uname -r)"
   KV_MAJOR=`uname -r | cut -f1 -d "."`
   KV_MINOR=`uname -r | cut -f2 -d "."`

   MODCONF="/etc/modules.autoload.d/kernel-${KV_MAJOR}.${KV_MINOR}"
   mv -f $MODCONF $MODCONF.org
   echo "natsemi" > $MODCONF
   echo "usb-storage" >> $MODCONF
}

if [ "$1" = "-f" -o "$2" = "-f" ] ; then
   LZMA_OPTS="-a0 -d8 -mc2 -mfhc4"
else
   LZMA_OPTS=""
fi


echo ""
echo "mkcfg $1 $2 start"
cd /
chmod +x /_config/*/*.sh > /dev/null 2>&1
chmod +x /_config/*/*/*.sh > /dev/null 2>&1
chmod +x /etc/vdr/runvdr > /dev/null 2>&1
chmod +x /_config/bin/* > /dev/null 2>&1
chmod +x /etc/*/*.sh > /dev/null 2>&1
chmod +x /etc/init.d/* > /dev/null 2>&1
chmod +x /etc/*/*/*.sh > /dev/null 2>&1
chmod +x /etc/*/*/*/*.sh > /dev/null 2>&1
rm /etc/vdr/plugins/admin/~* > /dev/null 2>&1
eselect env update

EXCL_EXT="mng png mpg mpeg xpm pnm mp2 ttf"

rm -rf /mnt/data/g2v_base_etc*.tar.lzma /mnt/data/g2v_base_cfg*.tar.lzma

if [ "$1" = "-i" -o "$2" = "-i" ] ; then
   set_autoload
   EXCLUDES="--exclude=./home/vdr/.* --exclude=./home/vdr/* --exclude=./etc/resolv.conf* --exclude=./etc/ntp.conf* --exclude=./etc/yp.conf* --exclude=./etc/udev/rules.d/70-persistent*"
   INCLUDES="./home"    
   sed -i $SDIR/autorun -e 's/export INST_OPT=.*$/export INST_OPT="INSTALL"/'
else
   EXCLUDES=""
   INCLUDES="./root ./home"
   sed -i $SDIR/autorun -e 's/export INST_OPT=.*$/export INST_OPT="RESTORE"/'
fi

tar -cvf - --one-file-system --exclude=*.org --exclude=./_config/status/*  --exclude=nohup.out \
    --exclude=./etc/conf.d/vdr.conf.*  --exclude=./_config/doCheck --exclude=./_config/backup/isolinux \
    ./_config ./root/.bash_profile ./root/.bashrc | lzma e /mnt/data/g2v_base_cfg.tar.lzma -si $LZMA_OPTS
        
tar -cvf - --one-file-system ./_config/backup/isolinux | lzma e /mnt/data/g2v_base_cfg_iso.tar.lzma -si $LZMA_OPTS
        
tar -cvf - --one-file-system --exclude=timers.conf --exclude=./etc/vdr/plugins/admin/admin.conf.save \
    ./etc/vdr | lzma e /mnt/data/g2v_base_etc_vdr.tar.lzma -si $LZMA_OPTS

tar -cvf - --one-file-system --exclude=*.org --exclude=nohup.out --exclude=./etc/vdr $EXCLUDES \
    ./etc $INCLUDES | lzma e /mnt/data/g2v_base_etc.tar.lzma -si $LZMA_OPTS

if [ "$1" = "-i" -o "$2" = "-i" ] && [ ! "$MODCONF" = "" ] && [ -f $MODCONF.org ] ; then
   mv -f $MODCONF.org $MODCONF
fi
	
echo "mkcfg end"
echo ""
