#!/bin/sh
ISOLX_DIR="isolinux"
INST_DIR="/_config/backup"
cd $INST_DIR
FAST=""
INSTALL=""

if [ "$1" = "-h" ] || [ "$1" = "--help" ] ; then
   echo "Syntax: vdrbkp.sh [-i][-f][file]"
   echo "               -i   : Create universal install image (not machine specific)"
   echo "               -f   : Fast image creation (but larger)"
   echo "               file : Name of image (Default: /mnt/data/vdr.iso)"
   echo "                      -n for no image file creation"
   exit
fi
if [ "$1" = "-i" ] ; then
   INSTALL="-i"
   if [ "$2" = "-f" ] ; then
      FAST="-f"
      ISO=$3
   else
      ISO=$2
   fi            
else
   if [ "$1" = "-f" ] ; then
      FAST="-f"
      ISO=$2
   else
      ISO=$1
   fi            
fi
rm -rf /mnt/data/g2v*tar.lzma

VERSION=$(head -n 1 ${ISOLX_DIR}/README | cut -f 1 -d "/")
DATE=$(date +"%d.%B %Y")

sed -i $ISOLX_DIR/message.txt -e "s#Gen2VDR.*#${VERSION}/ $DATE#"
sed -i $ISOLX_DIR/README -e "s#^Gen2VDR.*#${VERSION}/ $DATE#"

sh $INST_DIR/mkbase.sh $FAST 2>&1 | tee /tmp/mkbase.log
sh $INST_DIR/mkadd.sh $FAST 2>&1 | tee /tmp/mkadd.log
sh $INST_DIR/mkkrnl.sh $FAST 2>&1 | tee /tmp/mkkrnl.log
sh $INST_DIR/mkcfg.sh $INSTALL $FAST 2>&1 | tee /tmp/mkcfg.log

rm -rf /mnt/data/g2v-backup > /dev/null 2>&1
DT=$(date +%m%d)
touch -t ${DT}1200 $ISOLX_DIR/README $ISOLX_DIR/HISTORY setup.sh autorun /mnt/data/g2v*

if [ "$ISO" != "-n" ] ; then
   sh $INST_DIR/mkiso.sh $ISO 2>&1 | tee /tmp/mkiso.log
fi

svdrpsend.pl "MESG Backup ist fertig ! ( $ISO )"
