#!/bin/sh
source /etc/conf.d/vdr
#set -x

# RGB_DARKNESS kann von 0x00 (hell) bis 0x03(dunkel) gesetzt werden
RGB_DARKNESS="0x00"
# BLANK_output_selection mit 0x03 schaltet man am TV auf RGB um. (fuer alte TVs erforderlich)
if [ "$VIDEO_OUT" = "RGB" -a "$RGB_SIGNAL" = "1" ] ; then
   BLANK_output_selection="0x03"
else
   BLANK_output_selection="0x00"
fi   
# Function_Control_Output_Voltage schaltet am Scart-TV auf AV mit 0x02 bzw 0x03
if [ "$AV_SIGNAL" = "1" ] ; then
   Function_Control_Output_Voltage="0x03"
else
   Function_Control_Output_Voltage="0x00"
fi   

[ "$(pidof mplayer)" != "" ] && killall -9 mplayer

for i in $(seq 1 10) ; do
   if [ -e /dev/i2c-0 ] ; then
      break
   fi
   echo " Waiting for /dev/i2c-0"
   sleep 1
done
FN="0x00"
#tdk5002cctl -s $1
if [ "$1" = "DVB" ]; then
   amixer -q set Line ${ACT_VDR_BASEVOL}% unmute
   amixer -q set Master ${ACT_MASTERVOL}% unmute
   amixer -q set PCM mute
   EM84=$(echo " $PLUGINS " | grep " em84xx ")
   if [ "$EM84" != "" ] ; then
      activyspdifctl 1       
      AUX_OUT="0x06"
   else
      AUX_OUT="0x07"
   fi
   if [ "$GUI_LOOP_OUTPUT" = "1" ] ; then
      TV_OUT="0x01"
      FN="0x03"
   else
      if [ "$VIDEO_OUT" = "SVIDEO" ] ; then
         TV_OUT="0x02"
      else
         TV_OUT="0x00"
      fi
   fi
   if [ "$ACTIVY_BRIGHT_DVB" != "" ] ; then
      RGB_DARKNESS="0x0$((3-$ACTIVY_BRIGHT_DVB))"
   fi
   if [ "$ACTIVY_OVERLAY" != "Aus" ] ; then
      /_config/bin/activy_overlay.sh 1 > /dev/null 2>&1 &
   fi
else
   amixer -q set Line mute
   amixer -q set PCM ${ACT_FREEVO_BASEVOL}% unmute
   amixer -q set Master ${ACT_MASTERVOL}% unmute
   amixer -q set "IEC958 Playback AC97-SPSA" 0
   if [ "$GUI_SWITCH_OUTPUT" = "1" ] ; then
      activyspdifctl 0       
      AUX_OUT="0x01"
   else
      AUX_OUT="0x07"
   fi
   if [ "$VIDEO_OUT" != "RGB" ] ; then
      TV_OUT="0x02"
   else
      TV_OUT="0x00"
   fi
   if [ "$ACTIVY_BRIGHT_TVOUT" != "" ] ; then
      RGB_DARKNESS="0x0$((3-$ACTIVY_BRIGHT_TVOUT))"
   fi
   if [ "$ACTIVY_OVERLAY" != "Aus" ] ; then
      /_config/bin/activy_overlay.sh 0 > /dev/null 2>&1 &
   fi
fi
if [ "$ACTIVY_LINEOUT" = "1" ] ; then
   LO="0x01"
else
   LO="0x00"
fi

if [ "$ACTIVY_AUDIO_IN_GAIN" != "" ] ; then
   AI_GAIN="0x0$ACTIVY_AUDIO_IN_GAIN"
else
   AI_GAIN="0x00"
fi   
if [ "$ACTIVY_AUDIO_OUT_GAIN" != "" ] ; then
   AO_GAIN="0x0$ACTIVY_AUDIO_OUT_GAIN"
else
   AO_GAIN="0x00"
fi   
#tdk5002cctl -i 0 0x00 0x00 0x00 $TV_OUT $AUX_OUT 0x00 0x00 0x00 $FN $RGB_DARKNESS 0x00 0x01 0x01 0x00 0x00 0x00 0x00 0x00 0x00 $LO
logger -s "tdk:  TV_OUT:$TV_OUT AUX_OUT:$AUX_OUT FN:$FN RGB_DARKNESS:$RGB_DARKNESS LO:$LO FCOV:$Function_Control_Output_Voltage BOS:$BLANK_output_selection"
#tdk5002cctl -i 0 0x00 0x00 0x00 $TV_OUT $AUX_OUT 0x00 0x00 0x00 $FN $RGB_DARKNESS 0x00 0x01 0x01 0x00 0x00 0x00 0x00 0x00 0x00 $LO
tdk5002cctl -i 0 0x00 0x00 0x00 $TV_OUT $AUX_OUT 0x00 0x00 $Function_Control_Output_Voltage $FN $RGB_DARKNESS $BLANK_output_selection 0x01 0x01 $AI_GAIN 0x00 0x00 0x00 0x00 $AO_GAIN $LO
