#!/bin/sh
# Admin.conf erweitern
source /etc/conf.d/vdr
sh /_config/bin/g2v_updadminconf.sh

GS="$(rc-status default|grep "gui.*started")"
[ "$GS" != "" ] && /etc/init.d/gui stop
VS="$(pidof vdr)"
[ "$VS" != "" ] && /etc/init.d/vdr stop

# DVB Local patches nicht in make.conf setzen
sed -i /etc/make.conf -e "s/^DVB_LOCAL_PATCHES/#DVB_LOCAL_PATCHES/g"

# typo in /etc/vdr/plugins/admin/cfgdvb.sh
sed -i /etc/vdr/plugins/admin/cfgdvb.sh -e "s/modpobe/modprobe/"

# dvb-treiber fuer tts1401 tauschen
if [ ! -f /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda826x.ko.org ] ; then
   cp /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda10086.ko /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda10086.ko.org 
   cp /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda826x.ko /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda826x.ko.org 
   cp /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda10086.ko.tts1401 /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda10086.ko
   cp /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda826x.ko.tts1401 /lib/modules/2.6.20.4-gentoo/v4l-dvb/dvb/frontends/tda826x.ko
   depmod -a
fi

# Freevo Panorama skin
if [ ! -f /usr/share/freevo/skins/main/Panorama.fxd ] ; then
   cd /tmp
   wget http://bleb.org/software/panorama/panorama-skin.tar.gz
   mkdir /tmp/freevopan
   tar -C /tmp/freevopan -xzvf panorama-skin.tar.gz
   cp -av /tmp/freevopan/share/* /usr/share/freevo/
   sh /etc/vdr/plugins/admin/cfggui.sh
fi   

if [ "$(sh /_config/bin/query_mb.sh)" = "ACTIVY" ] ; then
   # Farbtiefe fuer freevo auf 24 aendern (bei Activy)
   if [ "$(/etc/vdr/plugins/admin/getadmval.sh SCREEN_RESOLUTION)" = "720x576" ] ; then
      if [ "$(/etc/vdr/plugins/admin/getadmval.sh OPERA_OFFSETX)" = "0" ] ; then
         # Opera offset einstellen
         /etc/vdr/plugins/admin/setadmval.sh OPERA_OFFSETX "45"
         /etc/vdr/plugins/admin/setadmval.sh OPERA_OFFSETY "33"
         /etc/vdr/plugins/admin/setadmval.sh OPERA_ZOOMX "-75"
         /etc/vdr/plugins/admin/setadmval.sh OPERA_ZOOMY "-75"
      fi
      if [ "$(/etc/vdr/plugins/admin/getadmval.sh FREEVO_OSDX)" = "0" ] ; then
         # Freevo Rand aendern
         /etc/vdr/plugins/admin/setadmval.sh FREEVO_OSDX "50"
         /etc/vdr/plugins/admin/setadmval.sh FREEVO_OSDY "40"
      fi	 
   fi   
fi   

# tool fuer activy keys kompilieren
cd /usr/local/src/_div/activylircd-0.3
make clean all install

# em84xx plugin
/_config/bin/instplg.sh /_config/update/vdr-em84xx-0.0.13-stilltest8.tar.bz2
 
# alcd plugin
/_config/bin/instplg.sh /_config/update/vdr-alcd-1.2.3.tgz

# slave mode fuer mplayer
if [ "$(grep "mplayer.ControlMode" $CONFIG/setup.conf)" != "" ] ; then
   sed -i $CONFIG/setup.conf -e "s/^mplayer\.ControlMode.*/mplayer\.ControlMode = 1/"
else
   echo "mplayer.ControlMode = 1" >> $CONFIG/setup.conf
fi
      
# patch for freevo queueing command keys
if [ "$(patch --dry-run -f /usr/lib/python2.4/site-packages/freevo/games/game.py < /_config/update/patches/up04.freevo-gamessuspend.diff | grep FAILED)" = "" ] ; then
   patch -f /usr/lib/python2.4/site-packages/freevo/games/game.py < /_config/update/patches/up04.freevo-gamessuspend.diff
fi
   
[ -f /usr/local/portage/patches/tda1002x.009.diff ] && mv /usr/local/portage/patches/tda1002x.009.diff /usr/local/portage/patches/tda1002x.009.diff.old
# WakeOnLan patch
cd /usr/lib/python2.4/site-packages/freevo/
if [ "$(patch --dry-run -f /_config/bin/vdrshutdown.sh < /_config/update/patches/up04.vdrshutdown-wol.diff | grep FAILED)" = "" ] ; then
   patch -f  /_config/bin/vdrshutdown.sh < /_config/update/patches/up04.vdrshutdown-wol.diff
fi

# Repacker diff
cd /usr/local/src/VDR
VP=0
if [ "$(patch -f --dry-run < /_config/update/patches/up04.vdr-lircsettings.diff | grep FAILED)" = "" ] ; then
   patch -f < /_config/update/patches/up04.vdr-lircsettings.diff
   VP=1
fi
if [ "$(patch -f --dry-run < /_config/update/patches/up04.vdr-1.4.6-1.diff | grep FAILED)" = "" ] ; then
   patch -f < /_config/update/patches/up04.vdr-1.4.6-1.diff
   VP=1
fi


# Backup Command im Menu aendern
sed -i /etc/vdr/commands.conf -e "s%/_config/backup/vdrbkp.sh\"%/_config/backup/vdrbkp.sh -f\"%"

[ "$VP" = "1" ] && make
         
[ "$VS" = "1" ] && /etc/init.d/vdr start
sleep 3
[ "$GS" != "" ] && /etc/init.d/gui start
